Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex DataLens
  • DataLens Gallery
    • How to use the Public API
    • Versioning
    • Release notes
      • Overview
        • Overview
        • Add subscription
        • Get subscription by id
        • Update subscription
        • Delete subscription by id
        • Get subscription list
  • Audit Trails events

In this article:

  • Request
  • Headers
  • Body
  • Responses
  • 200 OK
  • Body
  • SubscriptionRecipient
  1. DataLens Public API
  2. DataLens API
  3. Subscriptions
  4. Get subscription by id
Written by
Yandex Cloud
View in Markdown
  • Request
    • Headers
    • Body
  • Responses
  • 200 OK
    • Body
    • SubscriptionRecipient

Get subscription by id

Returns the specified subscription.

RequestRequest

POST

https://api.datalens.tech/rpc/getSubscription

HeadersHeaders

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 3

Example: 3

BodyBody

application/json
{
  "subscriptionId": "7lieexzx4kxs0"
}

Name

Description

subscriptionId

Type: string

Min length: 1

Pattern: ^[a-zA-Z0-9._:-]+$

Example: 7lieexzx4kxs0

ResponsesResponses

200 OK200 OK

Response

BodyBody

application/json
{
  "title": "example",
  "description": "example",
  "content": {
    "type": "example",
    "entryId": "example",
    "options": {}
  },
  "trigger": {
    "type": "example",
    "entryId": "example",
    "options": {}
  },
  "artifact": {
    "type": "example",
    "options": {}
  },
  "recipients": [
    {
      "subjectId": "example",
      "subjectType": "userAccount"
    }
  ],
  "selfSubscribeEnabled": true,
  "status": "active",
  "tenantId": "example",
  "workbookId": "example",
  "meta": {},
  "subscriptionId": "example",
  "createdAt": "example",
  "updatedAt": "example",
  "suspendedAt": "example",
  "createdBy": "example",
  "updatedBy": "example"
}

Name

Description

artifact

Type: object

options

Type: object

[additional]

Type: unknown

Example: null

Example
{}

type

Type: string

Example: example

Example
{
  "type": "example",
  "options": {}
}

content

Type: object

entryId

Type: string

Example: example

options

Type: object

[additional]

Type: unknown

Example: null

Example
{}

type

Type: string

Example: example

Example
{
  "type": "example",
  "entryId": "example",
  "options": {}
}

createdAt

Type: string

Example: example

createdBy

Type: string

Example: example

meta

Type: object

[additional]

Type: unknown

Example: null

Example
{}

recipients

Type: SubscriptionRecipient[]

Example
[
  {
    "subjectId": "example",
    "subjectType": "userAccount"
  }
]

selfSubscribeEnabled

Type: boolean

status

Type: string

Enum: active, stopped, suspended

subscriptionId

Type: string

Example: example

suspendedAt

Type: string | null

Example: example

tenantId

Type: string

Example: example

title

Type: string

Example: example

trigger

Type: object

entryId

Type: string | null

Example: example

options

Type: object

[additional]

Type: unknown

Example: null

Example
{}

type

Type: string

Example: example

Example
{
  "type": "example",
  "entryId": "example",
  "options": {}
}

updatedAt

Type: string

Example: example

updatedBy

Type: string

Example: example

workbookId

Type: string

Example: example

description

Type: string | null

Example: example

SubscriptionRecipientSubscriptionRecipient

Name

Description

subjectId

Type: string

ID of the recipient user account.

Example: example

subjectType

Type: string

Recipient subject type. Only user accounts are supported.

Const: userAccount

Example: example

Example
{
  "subjectId": "example",
  "subjectType": "userAccount"
}

Was the article helpful?

Previous
Add subscription
Next
Update subscription
© 2026 Direct Cursus Technology L.L.C.